%define upstream_version 0.8.1.dev8
# Created by pyp2rpm-1.0.1

# WSME does not have proper py3 support, so disabling for now
%if 0%{?fedora}
%global with_python3 0
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print (get_python_lib())")}
%endif

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name WSME
%global lpypi_name wsme

Name:           python-%{lpypi_name}
Version: 0.8.1
Release: 0.20160802184400.42e1239%{?dist}
Provides: python2-wsme = %{version}-%{release}
Summary:        Web Services Made Easy

License:        MIT
URL:            https://pypi.python.org/pypi/WSME
Source0: WSME-0.8.1.dev8-0.20160802184400.42e1239-42e1239e9d3d93d80532f13c8fedf477671da006.tar.gz
BuildArch:      noarch

Requires:       python-simplegeneric
Requires:       python-six
Requires:       python-webob
Requires:       python-netaddr
Requires:       pytz
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
BuildRequires:  python-six
BuildRequires:  python-webob
BuildRequires:  python-netaddr
BuildRequires:  pytz
BuildRequires:  python-simplegeneric
%description
Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.

%if 0%{?with_python3}
%package -n python3-%{lpypi_name}
Summary:        Web Services Made Easy
%{?python_provide:%python_provide python3-%{lpypi_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-six
BuildRequires:  python3-webob
BuildRequires:  python3-pytz
BuildRequires:  python3-simplegeneric
BuildRequires:  python3-netaddr

Requires:       python3-simplegeneric
Requires:       python3-six
Requires:       python3-webob
Requires:       python3-netaddr
Requires:       python3-pytz

%description -n python3-%{lpypi_name}
Web Services Made Easy, simplifies the implementation of
multiple protocol REST web services by providing simple yet
powerful typing which removes the need to directly
manipulate the request and the response objects.
%endif

%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%build
%{__python2} setup.py build
%if 0%{?with_python3}
%{__python3} setup.py build
%endif

%install
%{__python2} setup.py install --skip-build --root %{buildroot}
%if 0%{?with_python3}
%{__python3} setup.py install --skip-build --root %{buildroot}
%endif

%check
%{__python2} setup.py test
%if 0%{?with_python3}
%{__python3} setup.py test
%endif

%files -n python-%{lpypi_name}
%doc README.rst examples/
%license LICENSE
%{python2_sitelib}/wsme
%{python2_sitelib}/wsmeext
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*.pth

%if 0%{?with_python3}
%files -n python3-%{lpypi_name}
%doc README.rst examples/
%license LICENSE
%{python3_sitelib}/wsme
%{python3_sitelib}/wsmeext
%{python3_sitelib}/*.egg-info
%{python3_sitelib}/*.pth
%endif

%changelog
